/********************************************************************************

 GenPass: Genera la password e restituisce il puntatore alla stringa che
          la contiene.
 
 Copyright (C) 2003 - 2006  Plinio Gatto < pli@autistici.org >

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 
********************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <time.h>

#include "mpas04.h"


char *GenPass(int l,char *chr){

  int i=0, k=0;
  char pass[20];
  time_t t;

  do{

    srand((unsigned)time(&t)); // Genera il seme
    for (i=0;i<l;i++) pass[i]=chr[rand()%63]; // Genera la password

    pass[l]='\0';

  }while (!ChkPass(pass,l)); // Controlla che la password sia valida

  //printf("\n\nPassword: %s\n\n",pass);

  return pass; // Ritorna il puntatore alla password
}
