/********************************************************************************

 Chk: Controlla se nella stringa c' un numero, una lettera maiuscola o
      una lettera minuscola:
       
        typ=0 numero; typ=1 lettera maiuscola; typ=2 lettera minuscola

 Copyright (C) 2003 - 2006  Plinio Gatto < pli@autistici.org >

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 
********************************************************************************/

#include <stdio.h>
#include <stdlib.h>

#include "mpas04.h"


int Chk(char typ,char *str,int len){

  int min, max, i=0;

  //printf("\nControllo password: %s",str);

  switch(typ){
    
    case '0': // Controlla se c' un numero
      min=48;
      max=57;
      //printf("\nControllo se  un numero (%c - %c) ...",min,max);
      break;
    
    case '1': // Controlla se  una lettera maiuscola
      min=65;
      max=90;
      //printf("\nControllo se  una lettera maiuscola (%c - %c) ...",min,max);
      break;

    case '2': // Controlla se  una lettera minuscola
      min=97;
      max=122;
      //printf("\nControllo se  una lettera minuscola (%c - %c) ...",min,max);
      break;
  }

  for(i=0;i<len;i++){
    
    //printf("\nControllo carattere %d: %c",i+1,str[i]);
    
    if ( (str[i]>=min) && (str[i]<=max) ){
      //printf("\nCarattere %d valido",i+1);
      return 1;
    }
  }
  return 0;
}
